"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var ui_1 = require("@/components/ui");
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var prime_button_1 = __importDefault(require("@/library/prime-button"));
var prime_label_1 = __importDefault(require("@/library/prime-label"));
var prime_social_button_1 = __importDefault(require("@/library/prime-social-button"));
var prime_textfield_1 = __importDefault(require("@/library/prime-textfield"));
var prime_top_navigation_1 = __importDefault(require("@/library/prime-top-navigation"));
var prime_switch_1 = __importDefault(require("@/library/prime-switch"));
var react_native_reanimated_1 = require("react-native-reanimated");
var prime_check_box_1 = __importDefault(require("@/library/prime-check-box"));
var prime_main_page_header_1 = __importDefault(require("@/library/prime-main-page-header"));
var prime_text_1 = __importDefault(require("@/library/prime-text"));
var IconDummyComponent = function () {
    return <ui_1.View className="w-6 h-6 bg-red-500 rounded-full"/>;
};
var IconDummyComponent2 = function () {
    return <ui_1.View className="w-6 h-6 bg-blue-500 rounded-full"/>;
};
function Paper() {
    var _a = React.useState(''), text = _a[0], setText = _a[1];
    var _b = React.useState(''), passwordText = _b[0], setPasswordText = _b[1];
    var _c = React.useState(true), passwordVisible = _c[0], setPasswordVisible = _c[1];
    var _d = React.useState(''), countText = _d[0], setCountText = _d[1];
    var _e = React.useState({
        status: 'none',
        message: '',
    }), passwordStatusConfig = _e[0], setPasswordStatusConfig = _e[1];
    var _f = React.useState({
        status: 'none',
        message: '',
    }), statusConfig = _f[0], setStatusConfig = _f[1];
    var _g = React.useState({ first: '', second: '' }), idValue = _g[0], setIdValue = _g[1];
    var _h = React.useState({
        status: 'none',
        message: '',
    }), idStatusConfig = _h[0], setIdStatusConfig = _h[1];
    function handlePasswordChange(inputText) {
        setPasswordText(inputText);
        if (inputText.length >= 8) {
            setPasswordStatusConfig({
                status: 'success',
                message: '유효한 비밀번호입니다.',
            });
        }
        else {
            setPasswordStatusConfig({
                status: 'error',
                message: '비밀번호는 최소 8자 이상이어야 합니다.',
            });
        }
    }
    function handlePasswordClear() {
        setPasswordText('');
        setPasswordStatusConfig({
            status: 'none',
            message: '',
        });
    }
    var handleIdChange = {
        onFirstChange: function (text) {
            setIdValue(function (prev) { return (__assign(__assign({}, prev), { first: text })); });
            validateId(text, idValue.second);
        },
        onSecondChange: function (text) {
            setIdValue(function (prev) { return (__assign(__assign({}, prev), { second: text })); });
            validateId(idValue.first, text);
        },
    };
    function validateId(first, second) {
        // ID 유효성 검사: 앞 6자리, 뒤 1자리
        if (first.length === 6 && second.length === 1) {
            setIdStatusConfig({
                status: 'success',
                message: '유효한 주민등록번호입니다.',
            });
        }
        else {
            setIdStatusConfig({
                status: 'error',
                message: '앞 6자리와 뒤 1자리를 입력해야 합니다.',
            });
        }
    }
    function handleClear() {
        setIdValue({ first: '', second: '' });
        setIdStatusConfig({
            status: 'none',
            message: '',
        });
    }
    var handleCustomValidation = function (text) {
        if (text.length <= 10 && /^[a-zA-Z]*$/.test(text)) {
            // 예: 10자 이하, 알파벳만 허용
            setCountText(text);
        }
    };
    // Top Navigation
    var TestComponent = function () {
        return <ui_1.View className="w-[24px] h-[24px] bg-blue-500 rounded-full"/>;
    };
    var _j = React.useState('테스트'), activeTab = _j[0], setActiveTab = _j[1];
    // Switch
    var isOn = (0, react_native_reanimated_1.useSharedValue)(true);
    var handlePress = function () {
        isOn.value = !isOn.value;
        console.log(isOn.value);
    };
    // checkbox
    var _k = React.useState(true), checked = _k[0], setChecked = _k[1];
    var handleTextChange = function (inputText) {
        setText(inputText);
        if (inputText.length < 3) {
            setStatusConfig({
                status: 'error',
                message: '에러 메시지 표기',
            });
        }
        else {
            // 상황에 따라 성공 표기를 하고싶지 않다면, status는 'none'으로 설정, message는 ''로 설정
            setStatusConfig({
                status: 'success',
                message: '성공 메시지 표기',
            });
        }
    };
    return (<prime_top_navigation_1.default backgroundColor="white" barStyle={'dark-content'}>
      <prime_main_page_header_1.default tabTitle={['테스트', '테스트2']} 
    // tabTitle={['테스트']}
    activeTab={activeTab} onTabChange={setActiveTab} funcComponent={[
            <TestComponent />,
            <TestComponent />,
            <TestComponent />,
        ]}/>
      {/* <PrimeSubPageHeader
          title={'Middle Title'}
          funcComponent={[
            <TestComponent />,
            <TestComponent />,
            <TestComponent />,
          ]}
        /> */}
      <react_native_1.TouchableWithoutFeedback onPress={react_native_1.Keyboard.dismiss}>
        <ui_1.View className="flex-1 justify-center gap-4 px-[16px]">
          {activeTab === '테스트' && (<ui_1.ScrollView>
              {/* 정적 라벨 */}
              <prime_label_1.default value={'라벨 텍스트'} labelClassName="text-sm" isLabelOnly required/>

              <react_native_1.Text style={{ fontFamily: 'pretendard100' }}>Pretendard100</react_native_1.Text>
              <react_native_1.Text style={{ fontFamily: 'pretendard200' }}>Pretendard200</react_native_1.Text>
              <react_native_1.Text style={{ fontFamily: 'pretendard300' }}>Pretendard300</react_native_1.Text>
              <react_native_1.Text style={{ fontFamily: 'pretendard400' }}>Pretendard400</react_native_1.Text>
              <react_native_1.Text style={{ fontFamily: 'pretendard500' }}>Pretendard500</react_native_1.Text>
              <react_native_1.Text style={{ fontFamily: 'pretendard600' }}>Pretendard600</react_native_1.Text>
              <react_native_1.Text style={{ fontFamily: 'pretendard700' }}>Pretendard700</react_native_1.Text>
              {/* <Text style={{ fontFamily: 'pretendard800' }}>Pretendard800</Text> */}
              <react_native_1.Text className="font-pretendard800">Pretendard800</react_native_1.Text>

              <react_native_1.Text className="text-[16px]">REM / 16</react_native_1.Text>
              <react_native_1.Text style={{ fontSize: 16 }}>REM / 16</react_native_1.Text>
              <react_native_1.Text className="text-[2rem]">REM / 14</react_native_1.Text>
              <react_native_1.Text>REM / 14</react_native_1.Text>
              <react_native_1.Text className="text-[14px]">REM / 14</react_native_1.Text>

              {/* <Text style={{ fontFamily: 'pretendard200' }}>Pretendard200</Text>
            <Text style={{ fontFamily: 'pretendard300' }}>Pretendard300</Text>
            <Text style={{ fontFamily: 'pretendard400' }}>Pretendard400</Text>
            <Text style={{ fontFamily: 'pretendard500' }}>Pretendard500</Text>
            <Text style={{ fontFamily: 'pretendard600' }}>Pretendard600</Text>
            <Text style={{ fontFamily: 'pretendard700' }}>Pretendard700</Text>
            <Text style={{ fontFamily: 'pretendard800' }}>Pretendard800</Text>
            <Text style={{ fontFamily: 'pretendard900' }}>Pretendard900</Text> */}

              {/* 카운팅 라벨 */}
              <prime_label_1.default value={countText} onChangeText={handleCustomValidation} labelClassName="text-lg" charactorCount={true} maxCharactorCount={10}/>

              <prime_check_box_1.default 
        // backgroundColor={'orange'}
        // backgroundColor={'red'}
        // disabled={true}
        backgroundColor={'brand-primary-default'} className="rounded-full" checked={checked} onChange={function () {
                console.log(!checked ? 'checked' : 'unchecked');
                setChecked(!checked);
            }}/>
              <prime_switch_1.default trackColors={{ on: '#10B981', off: '#E5E7EB' }} 
        // disabled={true}
        value={isOn} onPress={handlePress} style={{ width: 42, height: 24, padding: 3 }}/>

              <ui_1.View className="flex-1 bg-blue-300">
                {/* 새로운 텍스트 프리셋 적용 */}
                {/* Display */}
                <prime_text_1.default face={'display'} size="small">
                  Display small
                </prime_text_1.default>
                <prime_text_1.default face={'display'} size="medium">
                  Display medium
                </prime_text_1.default>
                <prime_text_1.default face={'display'} size="large">
                  Display large
                </prime_text_1.default>
                <prime_text_1.default face={'display'} size="xlarge">
                  Display xlarge
                </prime_text_1.default>

                {/* Title */}
                <prime_text_1.default face={'title'} size="xsmall">
                  Title xsmall
                </prime_text_1.default>
                <prime_text_1.default face={'title'} size="small">
                  Title small
                </prime_text_1.default>
                <prime_text_1.default face={'title'} size="medium">
                  Title medium
                </prime_text_1.default>
                <prime_text_1.default face={'title'} size="large">
                  Title large
                </prime_text_1.default>
                <prime_text_1.default face={'title'} size="xlarge">
                  Title xlarge
                </prime_text_1.default>
                <prime_text_1.default face={'title'} size="2xlarge">
                  Title 2xlarge
                </prime_text_1.default>

                {/* Body */}
                <prime_text_1.default face={'body'} size="xsmall">
                  body xsmall
                </prime_text_1.default>
                <prime_text_1.default face={'body'} size="small">
                  body small
                </prime_text_1.default>
                <prime_text_1.default face={'body'} size="medium">
                  body medium
                </prime_text_1.default>
                <prime_text_1.default face={'body'} size="large">
                  body large
                </prime_text_1.default>
                <prime_text_1.default face={'body'} size="xlarge">
                  body xlarge
                </prime_text_1.default>
                <prime_text_1.default face={'body'} size="2xlarge">
                  body 2xlarge
                </prime_text_1.default>

                {/* Paragraph */}
                <prime_text_1.default face={'paragraph'} size="xsmall">
                  paragraph xsmall
                </prime_text_1.default>
                <prime_text_1.default face={'paragraph'} size="small">
                  paragraph small
                </prime_text_1.default>
                <prime_text_1.default face={'paragraph'} size="medium">
                  paragraph medium
                </prime_text_1.default>
                <prime_text_1.default face={'paragraph'} size="large">
                  paragraph large
                </prime_text_1.default>
                <prime_text_1.default face={'paragraph'} size="xlarge">
                  paragraph xlarge
                </prime_text_1.default>
                <prime_text_1.default face={'paragraph'} size="2xlarge">
                  paragraph 2xlarge
                </prime_text_1.default>

                {/* Caption */}
                <prime_text_1.default face={'caption'} size="xsmall">
                  caption xsmall
                </prime_text_1.default>
                <prime_text_1.default face={'caption'} size="small">
                  caption small
                </prime_text_1.default>
                <prime_text_1.default face={'caption'} size="medium">
                  caption medium
                </prime_text_1.default>
              </ui_1.View>

              {/* <Text className="text-prime-text-10">text-Prime Text 10</Text>
            <Text className="text-prime-text-12">text-Prime Text 12</Text>
            <Text className="text-prime-text-14">text-Prime Text 14</Text>
            <Text className="text-prime-text-16">text-Prime Text 16</Text>
            <Text className="text-prime-text-20">text-Prime Text 20</Text>
            <Text className="text-prime-text-24">text-Prime Text 24</Text>
            <Text className="text-prime-text-32">text-Prime Text 32</Text>
            <Text className="text-prime-paragraph-13">
              text-prime-paragraph-13
            </Text>
            <Text className="text-prime-paragraph-14">
              text-prime-paragraph-14
            </Text>
            <Text className="text-prime-paragraph-15">
              text-prime-paragraph-15
            </Text>
            <Text className="text-prime-paragraph-16">
              text-prime-paragraph-16
            </Text>
            <Text className="text-prime-paragraph-18">
              text-prime-paragraph-18
            </Text> */}
            </ui_1.ScrollView>)}

          {activeTab === '테스트2' && (<>
              <prime_textfield_1.default label={{
                text: '주민등록번호',
                style: { fontSize: 14 },
                required: true,
            }} input={{
                mode: 'id',
                idValue: idValue,
                onIdChange: {
                    onFirstChange: handleIdChange.onFirstChange,
                    onSecondChange: handleIdChange.onSecondChange,
                },
                border: 'border-2 border-gray-700',
            }} statusConfig={idStatusConfig} onClear={handleClear}/>

              <prime_textfield_1.default label={{
                text: '라벨',
                className: 'text-sm',
            }} input={{
                mode: 'default',
                value: text,
                placeholder: '홍길동',
            }} statusConfig={statusConfig} onClear={function () {
                setText('');
                setStatusConfig({
                    status: 'none',
                    message: '',
                });
            }} onChangeText={handleTextChange}/>

              <prime_textfield_1.default label={{
                text: '비밀번호',
            }} input={{
                mode: 'password',
                value: passwordText,
                placeholder: '비밀번호',
                isSecureTextEntry: passwordVisible,
                onSecureTextEntryChange: setPasswordVisible,
            }} statusConfig={passwordStatusConfig} onChangeText={handlePasswordChange} onClear={handlePasswordClear}/>

              <ui_1.View className="flex-row gap-4  w-full">
                <prime_button_1.default 
        // disabled={true}
        // loading={true}
        variant="primaryLow" text={'테스트'} shape={'round'} className="flex-1" 
        // backgroundColor={'brand-primary-default'}
        // textColor={'blue'}
        onPress={function () { return console.log('테스트'); }}/>
                <prime_button_1.default 
        // disabled={true}
        // loading={true}
        variant="primaryLow" text={'테스���'} className="flex-1" shape={'round'} 
        // backgroundColor={'brand-primary-default'}
        // textColor={'blue'}
        onPress={function () { return console.log('테스트'); }}/>
              </ui_1.View>

              <prime_button_1.default 
        // disabled={true}
        // loading={true}
        variant="primaryLow" text={'테스트'} shape={'round'} 
        // backgroundColor={'brand-primary-default'}
        // textColor={'blue'}
        onPress={function () { return console.log('테스트'); }}/>

              <prime_social_button_1.default type="google" onPress={function () { return console.log('카카오 로그인'); }}/>
            </>)}
        </ui_1.View>
      </react_native_1.TouchableWithoutFeedback>
    </prime_top_navigation_1.default>);
}
exports.default = Paper;
//# sourceMappingURL=paper.js.map