"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var react_native_1 = require("react-native");
var style_utils_1 = require("./style-utils");
var PRIME_TEXT_FACE_PRESETS = {
    display: {
        small: 'text-prime-text-36',
        medium: 'text-prime-text-40',
        large: 'text-prime-text-48',
        xlarge: 'text-prime-text-56',
    },
    title: {
        xsmall: 'text-prime-text-16',
        small: 'text-prime-text-18',
        medium: 'text-prime-text-20',
        large: 'text-prime-text-22',
        xlarge: 'text-prime-text-24',
        '2xlarge': 'text-prime-text-28',
    },
    body: {
        xsmall: 'text-prime-text-13',
        small: 'text-prime-text-14',
        medium: 'text-prime-text-15',
        large: 'text-prime-text-16',
        xlarge: 'text-prime-text-18',
        '2xlarge': 'text-prime-text-20',
    },
    paragraph: {
        xsmall: 'text-prime-text-13',
        small: 'text-prime-text-14',
        medium: 'text-prime-text-15',
        large: 'text-prime-text-16',
        xlarge: 'text-prime-text-18',
        '2xlarge': 'text-prime-text-20',
    },
    caption: {
        xsmall: 'text-prime-text-10',
        small: 'text-prime-text-11',
        medium: 'text-prime-text-12',
    },
};
// interface PrimeSocialButtonProps {
//   type: SocialButtonType;
//   onPress: () => void;
//   disabled?: boolean;
//   loading?: boolean;
//   className?: string;
// }
function PrimeText(_a) {
    var _b = _a.face, face = _b === void 0 ? 'display' : _b, _c = _a.size, size = _c === void 0 ? 'medium' : _c, _d = _a.textColor, textColor = _d === void 0 ? 'black' : _d, children = _a.children;
    var preset = PRIME_TEXT_FACE_PRESETS[face][size];
    return (<react_native_1.Text className={"".concat(preset)} style={{ color: (0, style_utils_1.getColor)(textColor) }}>
      {children}
    </react_native_1.Text>);
}
exports.default = PrimeText;
//# sourceMappingURL=prime-text.js.map